## python-argparse-addons 0.12.0

=== Makefile ===
.PHONY: examples

test:
	python3 setup.py test

examples:
	! PYTHONPATH=. python3 examples/integer.py --min-max -1
	! PYTHONPATH=. python3 examples/integer.py --min -1
	! PYTHONPATH=. python3 examples/integer.py --max 1000
	! PYTHONPATH=. python3 examples/integer.py --any a
	PYTHONPATH=. python3 examples/integer.py \
	    --min-max 47 --min 1000 --max -5 --any 1

test-sdist:
	rm -rf dist
	python3 setup.py sdist
	cd dist && \
	mkdir test && \
	cd test && \
	tar xf ../*.tar.gz && \
	cd argparse_addons-* && \
	python3 setup.py test

release-to-pypi:
	python3 setup.py sdist
	python3 setup.py bdist_wheel --universal
	twine upload dist/*

=== debian/changelog ===
python-argparse-addons (0.12.0-2) unstable; urgency=medium

  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Jun 2023 20:53:31 +0200

python-argparse-addons (0.12.0-1) unstable; urgency=low

  * Initial release (Closes: #1034408)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Apr 2023 14:27:02 +0000

=== debian/control ===
Source: python-argparse-addons
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/eerimoq/argparse_addons
Vcs-Git: https://salsa.debian.org/sramacher/python-argparse-addons.git
Vcs-Browser: https://salsa.debian.org/sramacher/python-argparse-addons
Rules-Requires-Root: no

Package: python3-argparse-addons
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Additional argparse types and actions (Python 3)
 This module provides additional types and actions for the use with argparse
 from Python's standard library.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=argparse-addons

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/argparse_addons/python-argparse-addons/ \
https://pypi.debian.net/argparse-addons/argparse_addons-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
